Skip to main content
GET
/
v2
/
workflows
List Workflows
curl --request GET \
  --url https://public.api.serval.com/v2/workflows \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "teamId": "<string>",
      "name": "<string>",
      "description": "<string>",
      "executionScope": "WORKFLOW_EXECUTION_SCOPE_UNSPECIFIED",
      "requireFormConfirmation": true,
      "content": "<string>",
      "isPublished": true,
      "hasUnpublishedChanges": true,
      "tagIds": [
        "<string>"
      ]
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

teamId
string

The ID of the team.

pageSize
integer<int32>

Maximum number of results to return. Default is 1000, maximum is 2000.

pageToken
string

Token for pagination. Leave empty for the first request.

Response

Success

data
Workflow · object[]

The list of workflows.

nextPageToken
string | null

Token for retrieving the next page of results. Empty if no more results.